summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Lenard Spencer2020-05-22 19:18:59 +0200
committer Willy Sudiarto Raharjo2020-05-22 19:18:59 +0200
commit988287a7a061b4d49e6e6242011260bc5ae485b4 (patch)
treeb5f2595dcee74d78e3fbbedb66fcc2aba90980de
parenta2cddf8b25f02b136e40efb94fce31c91fc794c5 (diff)
downloadslackbuilds-988287a7a061b4d49e6e6242011260bc5ae485b4.tar.gz
office/fop2.0: Added (print formatter).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--office/fop2.0/README16
-rw-r--r--office/fop2.0/README.postinst13
-rw-r--r--office/fop2.0/fop2.0.SlackBuild104
-rw-r--r--office/fop2.0/fop2.0.info10
-rw-r--r--office/fop2.0/slack-desc19
5 files changed, 162 insertions, 0 deletions
diff --git a/office/fop2.0/README b/office/fop2.0/README
new file mode 100644
index 0000000000..fa78d9462a
--- /dev/null
+++ b/office/fop2.0/README
@@ -0,0 +1,16 @@
+Apache FOP is a print formatter driven by XSL formatting objects. It
+is a Java application that reads a formatting object tree conforming
+to the XSL 1.1 Recommendation (05 December 2006) and then turns it
+into a PDF document, certain other output formats or allows you to
+preview it directly on screen.
+
+Note that not all parts of the XSL 1.1 specification have yet been
+implemented.
+
+This is the old fop 2.0 for the incredibly ancient jdk 6 (including
+openjdk6). If you are running jdk 7 or newer, please use fop, also
+available on SBo.
+
+Also note that fop and fop2.0 cannot coexist on the same computer.
+
+jai is an optional but recommended dependency.
diff --git a/office/fop2.0/README.postinst b/office/fop2.0/README.postinst
new file mode 100644
index 0000000000..d079a0e881
--- /dev/null
+++ b/office/fop2.0/README.postinst
@@ -0,0 +1,13 @@
+After installing, create .foprc in your home dir with the following
+
+FOP_OPTS="-Xmx###m"
+FOP_HOME="/opt/fop"
+
+Delete and replace the #'s with the amount of RAM your computer has
+in megabytes.
+
+Use can run "free -m" in the terminal to get the info:
+Example :
+
+FOP_OPTS="-Xmx1024m" // If you have a GB RAM
+FOP_HOME="/opt/fop"
diff --git a/office/fop2.0/fop2.0.SlackBuild b/office/fop2.0/fop2.0.SlackBuild
new file mode 100644
index 0000000000..25b6901cf8
--- /dev/null
+++ b/office/fop2.0/fop2.0.SlackBuild
@@ -0,0 +1,104 @@
+#!/bin/sh
+
+# Slackware build script for fop
+
+# Copyright 2015 Thorn Inurcide USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=fop2.0
+SRCNAM=fop
+VERSION=${VERSION:-2.0}
+BUILD=${BUILD:-2}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$SRCNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION-src.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# Compiles with apache-ant:
+ant compile
+ant jar-main
+ant javadocs
+
+mv build/javadocs .
+
+mkdir -p $PKG/opt/$PRGNAM-$VERSION
+install -v -d -m755 $PKG/opt/$PRGNAM-$VERSION/
+
+cp -va build conf examples fop* javadocs lib status.xml \
+ $PKG/opt/$PRGNAM-$VERSION
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+# Create fop symlink to /usr/bin:
+mkdir -p $PKG/usr/bin
+( ln -sf /opt/${PRGNAM}-${VERSION}/${SRCNAM} $PKG/usr/bin/ )
+
+# Symlink it all to /opt/fop so the .foprc won't need edited every update:
+( cd $PKG/opt ; ln -sf ${PRGNAM}-${VERSION} ${SRCNAM} )
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README NOTICE LICENSE KEYS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/office/fop2.0/fop2.0.info b/office/fop2.0/fop2.0.info
new file mode 100644
index 0000000000..7cf3b80d51
--- /dev/null
+++ b/office/fop2.0/fop2.0.info
@@ -0,0 +1,10 @@
+PRGNAM="fop2.0"
+VERSION="2.0"
+HOMEPAGE="https://xmlgraphics.apache.org/fop/"
+DOWNLOAD="https://archive.apache.org/dist/xmlgraphics/fop/source/fop-2.0-src.tar.gz"
+MD5SUM="754e5307a73433afb5c4c9b11d45e302"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="apache-ant"
+MAINTAINER="Lenard Spencer"
+EMAIL="lenardrspencer@gmail.com"
diff --git a/office/fop2.0/slack-desc b/office/fop2.0/slack-desc
new file mode 100644
index 0000000000..76530dc12b
--- /dev/null
+++ b/office/fop2.0/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+fop2.0: fop2.0 (print formatter)
+fop2.0:
+fop2.0: Apache FOP is a print formatter driven by XSL formatting objects. It
+fop2.0: is a Java application that reads a formatting object tree conforming
+fop2.0: to the XSL 1.1 Recommendation (05 December 2006) and then turns it
+fop2.0: into a PDF document, certain other output formats or allows you to
+fop2.0: preview it directly on screen. Note that not all parts of the XSL
+fop2.0: 1.1 specification have yet been implemented.
+fop2.0: This version is for jdk version 6, including openjdk6.
+fop2.0:
+fop2.0: Home: https://xmlgraphics.apache.org/fop/